java.awt.color

## Class ProfileDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.awt.color.ProfileDataException

All Implemented Interfaces:
  Serializable

    public class ProfileDataException
    extends RuntimeException

This exception is thrown when an error occurs in accessing or processing an ICC_Profile object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProfileDataException(String s)` Constructs a ProfileDataException with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProfileDataException

    public ProfileDataException(String s)

Constructs a ProfileDataException with the specified detail message.

Parameters:
  `s` - the specified detail message

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.